Modify

Opened 4 years ago

Closed 3 years ago

#17364 closed defect (fixed)

Tp-Link WR1043ND v2 wifi hangs

Reported by: mbielowicz@… Owned by: developers
Priority: high Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: wr1043nd v2 wifi issue Cc:

Description

After transfering about 10-30MB of data with the speed of about 10Mbit/s AP drops all wifi connections, sometimes wifi turns back on after couple of seconds automatically, another times wifi command is needed to turn radio on.

Logs (from 15464 ticket):
https://dev.openwrt.org/attachment/ticket/15464/r40995%20logs.zip
https://dev.openwrt.org/attachment/ticket/15464/r41022_wifi_logs.zip
https://dev.openwrt.org/attachment/ticket/15464/r41135_wifi_logs.zip
https://dev.openwrt.org/attachment/ticket/15464/r41181_wifi_logs.zip
https://dev.openwrt.org/attachment/ticket/15464/r41584%20logs.zip

As nbd has suggested (https://dev.openwrt.org/ticket/15464#comment:75)
I patched trunk (r41992) with http://nbd.name/openwrt-ar955x-test.patch
but it did't fix wifi issue(s) for this model and additionally it made router unbootable (router reboots in a loop).

Attachments (1)

r43210.zip (6.5 KB) - added by anonymous 3 years ago.

Download all attachments as: .zip

Change History (20)

comment:1 Changed 4 years ago by anonymous

It would be pretty darn useful if people posted what the latest trunk revision they tried was. Also, try anything over r41952, if you have not.

comment:2 Changed 4 years ago by anonymous

I tried:
r40995
r41022
r41135
r41181
r41584
and r41992 with nbd's ar955x patch.

None of the listed revisions withstands more than 150MB of wifi transfer (on PC wget some big file from internet /router WAN=PPPoE/), then wifi breaks.
As I tested mentioned revisions I observed one thing, the higher revision number the less data I could transfer before wifi break.
r41181 and r41584 I tried with ANI disabled but there was no improvement, seems like ANI has nothing to do with wifi breakdowns.

comment:3 Changed 4 years ago by anonymous

Did older revisions provide you with stability? If so, can you tell where/when it started getting unstable?

comment:4 Changed 4 years ago by anonymous

None of the listed revisions has given me sufficient stability, the older revisions could transfer 100-150MB via wifi without hang, the newer break down after ca. 10-30MB of data transferred. So far no revision is stable enough to put it on production router (WR1043ND v2).

comment:5 Changed 3 years ago by mbielowicz@…

Until now I have used full version of wpad in all images i have flashed to my WR1043ND v2 and wifi always hang after some short time (1-5 minutes)... today i compiled r42165 with "wpad-mini - 2014-06-03-1" instead and after 1 hour wifi connectivity still works:). So something is wrong with full wpad.

comment:6 Changed 3 years ago by anonymous

  1. I've tested r43052 (with kernels 3.10.58 and 3.14.18, wpad-full, wan=pppoe) and still during downloading big files (DVD images or so) wifi freezes many times, "wifi" command helps but only to the next freeze.
  1. Command "wifi detect" produces no output.

comment:7 Changed 3 years ago by nbd

please try r43059

comment:8 Changed 3 years ago by anonymous

r43060:

  1. Continous transfer still breaks wifi (15MB transfered in my case)
  2. "wifi detect" produces no output as before

comment:9 follow-up: Changed 3 years ago by nbd

wifi detect is supposed to not output anything if all available interfaces are configured in /etc/config/wireless already

comment:10 in reply to: ↑ 9 Changed 3 years ago by anonymous

Replying to nbd:

wifi detect is supposed to not output anything if all available interfaces are configured in /etc/config/wireless already

OK, after removing/renaming /etc/config/wireless
"wifi detect" works. Thank You for explanation.

As far as wifi issue is concerned what informations/logs can I provide to help track it down?

comment:11 Changed 3 years ago by anonymous

In trunk r43210 wifi still hangs.
See the logs in r43210.zip

Changed 3 years ago by anonymous

comment:12 Changed 3 years ago by anonymous

Wifi in r43332 hung after 1GB tranffered - a nice progress:)

comment:13 Changed 3 years ago by anonymous

Wifi doesn't start in r43350:

netifd warning:

Sun Nov 23 22:08:23 2014 kern.info kernel: [  311.870000] eth0: link up (1000Mbps/Full duplex)
Sun Nov 23 22:08:23 2014 kern.info kernel: [  311.880000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Sun Nov 23 22:08:23 2014 daemon.notice netifd: Network device 'eth0' link is up
Sun Nov 23 22:08:23 2014 daemon.notice netifd: Interface 'wan' has link connectivity
Sun Nov 23 22:08:36 2014 daemon.warn pppd[2299]: Timeout waiting for PADO packets
Sun Nov 23 22:08:36 2014 daemon.err pppd[2299]: Unable to complete PPPoE Discovery
Sun Nov 23 22:08:36 2014 daemon.info pppd[2299]: Exit.
Sun Nov 23 22:08:36 2014 daemon.notice netifd: Interface 'wan' is now down
Sun Nov 23 22:08:36 2014 kern.info kernel: [  325.480000] eth0: link down
Sun Nov 23 22:08:36 2014 daemon.notice netifd: Interface 'wan' is disabled
Sun Nov 23 22:08:36 2014 daemon.notice netifd: Interface 'wan' is enabled
Sun Nov 23 22:08:36 2014 daemon.notice netifd: Interface 'wan' is setting up now
Sun Nov 23 22:08:36 2014 kern.info kernel: [  325.490000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
Sun Nov 23 22:08:36 2014 daemon.notice netifd: Network device 'eth0' link is down
Sun Nov 23 22:08:36 2014 daemon.notice netifd: Interface 'wan' has link connectivity loss
Sun Nov 23 22:08:36 2014 daemon.info pppd[2314]: Plugin rp-pppoe.so loaded.
Sun Nov 23 22:08:36 2014 daemon.info pppd[2314]: RP-PPPoE plugin version 3.8p compiled against pppd 2.4.7
Sun Nov 23 22:08:36 2014 daemon.notice pppd[2314]: pppd 2.4.7 started by root, uid 0
Sun Nov 23 22:08:38 2014 kern.info kernel: [  326.880000] eth0: link up (1000Mbps/Full duplex)
Sun Nov 23 22:08:38 2014 kern.info kernel: [  326.890000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Sun Nov 23 22:08:38 2014 daemon.notice netifd: Network device 'eth0' link is up
Sun Nov 23 22:08:38 2014 daemon.notice netifd: Interface 'wan' has link connectivity
Sun Nov 23 22:08:41 2014 daemon.notice netifd: radio0 (2338): WARNING: Variable 'config' does not exist or is not an array/object
Sun Nov 23 22:08:41 2014 daemon.notice netifd: radio0 (2338): WARNING: Variable 'interfaces' does not exist or is not an array/object
Sun Nov 23 22:08:41 2014 daemon.notice netifd: radio0 (2338): WARNING: Variable 'interfaces' does not exist or is not an array/object
Sun Nov 23 22:08:41 2014 daemon.notice netifd: radio0 (2338): WARNING: Variable 'interfaces' does not exist or is not an array/object

/var/run/hostapd-phy0.conf is truncated:

driver=nl80211
logger_syslog=127
logger_syslog_level=2
logger_stdout=127
logger_stdout_level=2
hw_mode=g
channel=11

dmesg:

BusyBox v1.22.1 (2014-11-23 22:02:09 CET) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 CHAOS CALMER (Bleeding Edge, r43350)
 -----------------------------------------------------
  * 1 1/2 oz Gin            Shake with a glassful
  * 1/4 oz Triple Sec       of broken ice and pour
  * 3/4 oz Lime Juice       unstrained into a goblet.
  * 1 1/2 oz Orange Juice
  * 1 tsp. Grenadine Syrup
 -----------------------------------------------------
root@WR1043NDv2:~# dmesg
[    0.000000] Linux version 3.14.18 (michal@debian) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r43174) ) #1 Sun Nov 23 22:08:36 CET 2014
[    0.000000] MyLoader: sysp=bded2d2f, boardp=f5402981, parts=77f505a3
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU0 revision is: 00019750 (MIPS 74Kc)
[    0.000000] SoC: Qualcomm Atheros QCA9558 rev 0
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 04000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x03ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x03ffffff]
[    0.000000] On node 0 totalpages: 16384
[    0.000000] free_area_init_node: node 0, pgdat 80338420, node_mem_map 81000000
[    0.000000]   Normal zone: 128 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 16384 pages, LIFO batch:3
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
[    0.000000] Kernel command line:  board=TL-WR1043ND-v2 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[    0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 61076K/65536K available (2379K kernel code, 119K rwdata, 500K rodata, 256K init, 187K bss, 4460K reserved)
[    0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.000000] Clocks: CPU:720.000MHz, DDR:600.000MHz, AHB:200.000MHz, Ref:40.000MHz
[    0.000000] Calibrating delay loop... 358.80 BogoMIPS (lpj=1794048)
[    0.060000] pid_max: default: 32768 minimum: 301
[    0.060000] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.070000] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.070000] NET: Registered protocol family 16
[    0.080000] MIPS: machine is TP-LINK TL-WR1043ND v2
[    0.490000] bio: create slab <bio-0> at 0
[    0.500000] Switched to clocksource MIPS
[    0.510000] NET: Registered protocol family 2
[    0.510000] TCP established hash table entries: 1024 (order: 0, 4096 bytes)
[    0.510000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.520000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.530000] TCP: reno registered
[    0.530000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.530000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.540000] NET: Registered protocol family 1
[    0.540000] PCI: CLS 0 bytes, default 32
[    0.550000] futex hash table entries: 256 (order: -1, 3072 bytes)
[    0.570000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.570000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.580000] msgmni has been set to 119
[    0.590000] io scheduler noop registered
[    0.590000] io scheduler deadline registered (default)
[    0.600000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[    0.620000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11, base_baud = 2500000) is a 16550A
[    0.630000] console [ttyS0] enabled
[    0.640000] bootconsole [early0] disabled
[    0.650000] m25p80 spi0.0: found s25fl064k, expected m25p80
[    0.650000] m25p80 spi0.0: s25fl064k (8192 Kbytes)
[    0.660000] 5 tp-link partitions found on MTD device spi0.0
[    0.670000] Creating 5 MTD partitions on "spi0.0":
[    0.670000] 0x000000000000-0x000000020000 : "u-boot"
[    0.680000] 0x000000020000-0x00000012e5fc : "kernel"
[    0.680000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.700000] 0x00000012e5fc-0x0000007f0000 : "rootfs"
[    0.700000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.720000] mtd: device 2 (rootfs) set to be root filesystem
[    0.720000] 1 squashfs-split partitions found on MTD device rootfs
[    0.730000] 0x000000530000-0x0000007f0000 : "rootfs_data"
[    0.730000] 0x0000007f0000-0x000000800000 : "art"
[    0.740000] 0x000000020000-0x0000007f0000 : "firmware"
[    0.780000] switch0: Atheros AR8327 rev. 4 switch registered on ag71xx-mdio.0
[    1.030000] libphy: ag71xx_mdio: probed
[    1.670000] ag71xx ag71xx.0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd034, driver=Atheros AR8216/AR8236/AR8316]
[    1.680000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:RGMII
[    2.230000] eth1: Atheros AG71xx at 0xba000000, irq 5, mode:SGMII
[    2.240000] TCP: cubic registered
[    2.250000] NET: Registered protocol family 17
[    2.250000] 8021q: 802.1Q VLAN Support v1.8
[    2.260000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    2.270000] Freeing unused kernel memory: 256K (80350000 - 80390000)
[    5.190000] usbcore: registered new interface driver usbfs
[    5.200000] usbcore: registered new interface driver hub
[    5.200000] usbcore: registered new device driver usb
[    5.240000] SCSI subsystem initialized
[    5.250000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    5.260000] ehci-platform: EHCI generic platform driver
[    5.270000] ehci-platform ehci-platform.0: EHCI Host Controller
[    5.270000] ehci-platform ehci-platform.0: new USB bus registered, assigned bus number 1
[    5.280000] ehci-platform ehci-platform.0: TX-TX IDP fix enabled
[    5.290000] ehci-platform ehci-platform.0: irq 48, io mem 0x1b000000
[    5.320000] ehci-platform ehci-platform.0: USB 2.0 started, EHCI 1.00
[    5.320000] hub 1-0:1.0: USB hub found
[    5.330000] hub 1-0:1.0: 1 port detected
[    5.330000] ehci-platform ehci-platform.1: EHCI Host Controller
[    5.340000] ehci-platform ehci-platform.1: new USB bus registered, assigned bus number 2
[    5.350000] ehci-platform ehci-platform.1: TX-TX IDP fix enabled
[    5.350000] ehci-platform ehci-platform.1: irq 49, io mem 0x1b400000
[    5.380000] ehci-platform ehci-platform.1: USB 2.0 started, EHCI 1.00
[    5.380000] hub 2-0:1.0: USB hub found
[    5.390000] hub 2-0:1.0: 1 port detected
[    5.390000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    5.400000] ohci-platform: OHCI generic platform driver
[    5.410000] usbcore: registered new interface driver usb-storage
[    6.870000] eth1: link up (1000Mbps/Full duplex)
[    6.910000] random: mktemp urandom read with 63 bits of entropy available
[   10.150000] jffs2: notice: (379) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 18 of xref (0 dead, 2 orphan) found.
[   10.180000] eth1: link down
[   12.780000] NET: Registered protocol family 10
[   12.800000] tun: Universal TUN/TAP device driver, 1.6
[   12.810000] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[   12.830000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   12.860000] batman_adv: B.A.T.M.A.N. advanced 2014.3.0 (compatibility version 15) loaded
[   12.900000] hidraw: raw HID events driver (C) Jiri Kosina
[   12.920000] u32 classifier
[   12.930000]     input device check on
[   12.930000]     Actions configured
[   12.940000] Mirror/redirect action on
[   12.960000] nf_conntrack version 0.5.0 (958 buckets, 3832 max)
[   13.190000] Loading modules backported from Linux version master-2014-11-04-0-gf3660a2
[   13.200000] Backport generated by backports.git backports-20141023-2-g4ff890b
[   13.210000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   13.240000] usbcore: registered new interface driver ums-alauda
[   13.250000] usbcore: registered new interface driver ums-cypress
[   13.250000] usbcore: registered new interface driver ums-datafab
[   13.260000] usbcore: registered new interface driver ums-freecom
[   13.280000] usbcore: registered new interface driver ums-isd200
[   13.300000] usbcore: registered new interface driver ums-jumpshot
[   13.300000] usbcore: registered new interface driver ums-karma
[   13.320000] usbcore: registered new interface driver ums-sddr09
[   13.330000] usbcore: registered new interface driver ums-sddr55
[   13.330000] usbcore: registered new interface driver ums-usbat
[   13.370000] usbcore: registered new interface driver usbserial
[   13.370000] usbcore: registered new interface driver usbserial_generic
[   13.380000] usbserial: USB Serial support registered for generic
[   13.470000] xt_time: kernel timezone is -0000
[   13.510000] cfg80211: Calling CRDA to update world regulatory domain
[   13.510000] cfg80211: World regulatory domain updated:
[   13.520000] cfg80211:  DFS Master region: unset
[   13.520000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   13.530000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   13.540000] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   13.550000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[   13.560000] cfg80211:   (5170000 KHz - 5250000 KHz @ 160000 KHz), (N/A, 2000 mBm), (N/A)
[   13.570000] cfg80211:   (5250000 KHz - 5330000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[   13.570000] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[   13.580000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   13.590000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[   13.670000] PPP generic driver version 2.4.2
[   13.670000] NET: Registered protocol family 24
[   13.760000] ath: EEPROM regdomain: 0x0
[   13.760000] ath: EEPROM indicates default country code should be used
[   13.760000] ath: doing EEPROM country->regdmn map search
[   13.760000] ath: country maps to regdmn code: 0x3a
[   13.760000] ath: Country alpha2 being used: US
[   13.760000] ath: Regpair used: 0x3a
[   13.780000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   13.780000] ieee80211 phy0: Atheros AR9550 Rev:0 mem=0xb8100000, irq=47
[   13.790000] cfg80211: Calling CRDA for country: US
[   13.790000] cfg80211: Regulatory domain changed to country: US
[   13.800000] cfg80211:  DFS Master region: FCC
[   13.800000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   13.810000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 3000 mBm), (N/A)
[   13.820000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 1700 mBm), (N/A)
[   13.830000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz), (N/A, 2300 mBm), (0 s)
[   13.840000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 3000 mBm), (N/A)
[   13.850000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[   19.230000] eth1: link up (1000Mbps/Full duplex)
[   19.230000] device eth1 entered promiscuous mode
[   19.250000] IPv6: ADDRCONF(NETDEV_UP): br-lan: link is not ready
[   19.290000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   20.230000] br-lan: port 1(eth1) entered forwarding state
[   20.230000] br-lan: port 1(eth1) entered forwarding state
[   20.240000] IPv6: ADDRCONF(NETDEV_CHANGE): br-lan: link becomes ready
[   20.310000] random: nonblocking pool is initialized
[   20.580000] cfg80211: Calling CRDA for country: PL
[   20.590000] cfg80211: Regulatory domain changed to country: PL
[   20.590000] cfg80211:  DFS Master region: ETSI
[   20.600000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   20.610000] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   20.610000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   20.620000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz), (N/A, 2000 mBm), (0 s)
[   20.630000] cfg80211:   (5490000 KHz - 5710000 KHz @ 80000 KHz), (N/A, 2700 mBm), (0 s)
[   20.640000] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[   20.880000] eth0: link up (1000Mbps/Full duplex)
[   20.910000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   22.230000] br-lan: port 1(eth1) entered forwarding state
[   36.820000] eth0: link down
[   36.830000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   38.380000] eth0: link up (1000Mbps/Full duplex)
[   38.390000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   52.020000] eth0: link down
[   52.030000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   53.390000] eth0: link up (1000Mbps/Full duplex)
[   53.400000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   67.220000] eth0: link down
[   67.230000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   68.400000] eth0: link up (1000Mbps/Full duplex)
[   68.410000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   82.420000] eth0: link down
[   82.420000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   84.410000] eth0: link up (1000Mbps/Full duplex)
[   84.420000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   97.610000] eth0: link down
[   97.610000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   99.420000] eth0: link up (1000Mbps/Full duplex)
[   99.430000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  112.800000] eth0: link down
[  112.800000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  114.430000] eth0: link up (1000Mbps/Full duplex)
[  114.440000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  128.000000] eth0: link down
[  128.000000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  129.440000] eth0: link up (1000Mbps/Full duplex)
[  129.450000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  143.190000] eth0: link down
[  143.190000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  144.520000] eth0: link up (1000Mbps/Full duplex)
[  144.530000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  158.380000] eth0: link down
[  158.380000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  160.220000] eth0: link up (1000Mbps/Full duplex)
[  160.230000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  173.560000] eth0: link down
[  173.560000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  175.230000] eth0: link up (1000Mbps/Full duplex)
[  175.240000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  188.740000] eth0: link down
[  188.750000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  190.240000] eth0: link up (1000Mbps/Full duplex)
[  190.250000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  203.930000] eth0: link down
[  203.930000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  205.250000] eth0: link up (1000Mbps/Full duplex)
[  205.260000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  219.110000] eth0: link down
[  219.120000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  220.260000] eth0: link up (1000Mbps/Full duplex)
[  220.270000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  234.320000] eth0: link down
[  234.320000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  235.820000] eth0: link up (1000Mbps/Full duplex)
[  235.830000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  249.520000] eth0: link down
[  249.530000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  250.830000] eth0: link up (1000Mbps/Full duplex)
[  250.840000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  264.720000] eth0: link down
[  264.720000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  265.840000] eth0: link up (1000Mbps/Full duplex)
[  265.850000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  279.900000] eth0: link down
[  279.910000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  281.850000] eth0: link up (1000Mbps/Full duplex)
[  281.860000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  295.090000] eth0: link down
[  295.100000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  296.860000] eth0: link up (1000Mbps/Full duplex)
[  296.870000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  310.280000] eth0: link down
[  310.290000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  311.870000] eth0: link up (1000Mbps/Full duplex)
[  311.880000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  325.480000] eth0: link down
[  325.490000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  326.880000] eth0: link up (1000Mbps/Full duplex)
[  326.890000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  340.670000] eth0: link down
[  340.680000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  341.950000] eth0: link up (1000Mbps/Full duplex)
[  341.960000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  355.860000] eth0: link down
[  355.870000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  357.650000] eth0: link up (1000Mbps/Full duplex)
[  357.660000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  371.050000] eth0: link down
[  371.060000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  372.660000] eth0: link up (1000Mbps/Full duplex)
[  372.670000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  386.240000] eth0: link down
[  386.240000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  387.670000] eth0: link up (1000Mbps/Full duplex)
[  387.680000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  401.420000] eth0: link down
[  401.430000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  402.680000] eth0: link up (1000Mbps/Full duplex)
[  402.690000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  416.620000] eth0: link down
[  416.620000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  417.690000] eth0: link up (1000Mbps/Full duplex)
[  417.700000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  431.800000] eth0: link down
[  431.810000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  433.250000] eth0: link up (1000Mbps/Full duplex)
[  433.260000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  446.990000] eth0: link down
[  447.000000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  448.260000] eth0: link up (1000Mbps/Full duplex)
[  448.270000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  462.180000] eth0: link down
[  462.190000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  463.270000] eth0: link up (1000Mbps/Full duplex)
[  463.280000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  477.370000] eth0: link down
[  477.370000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  479.280000] eth0: link up (1000Mbps/Full duplex)
[  479.290000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  492.550000] eth0: link down
[  492.560000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  494.290000] eth0: link up (1000Mbps/Full duplex)
[  494.300000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  507.740000] eth0: link down
[  507.750000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  509.300000] eth0: link up (1000Mbps/Full duplex)
[  509.310000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  522.950000] eth0: link down
[  522.960000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  524.310000] eth0: link up (1000Mbps/Full duplex)
[  524.320000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  538.140000] eth0: link down
[  538.140000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  539.390000] eth0: link up (1000Mbps/Full duplex)
[  539.400000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  553.320000] eth0: link down
[  553.320000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  555.100000] eth0: link up (1000Mbps/Full duplex)
[  555.110000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  568.500000] eth0: link down
[  568.510000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  570.110000] eth0: link up (1000Mbps/Full duplex)
[  570.120000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  583.700000] eth0: link down
[  583.700000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  585.120000] eth0: link up (1000Mbps/Full duplex)
[  585.130000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  598.880000] eth0: link down
[  598.890000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  600.130000] eth0: link up (1000Mbps/Full duplex)
[  600.140000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  614.070000] eth0: link down
[  614.080000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  615.140000] eth0: link up (1000Mbps/Full duplex)
[  615.150000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  629.260000] eth0: link down
[  629.270000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  630.700000] eth0: link up (1000Mbps/Full duplex)
[  630.710000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  644.450000] eth0: link down
[  644.450000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  645.710000] eth0: link up (1000Mbps/Full duplex)
[  645.720000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
root@WR1043NDv2:~#

comment:14 Changed 3 years ago by nbd

wifi setup issue fixed in r43351

comment:15 Changed 3 years ago by anonymous

Now, wifi works really well with CC r44915.
Good work Devs, Thank You!

comment:16 Changed 3 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

comment:17 Changed 3 years ago by anonymous

CC r44915
Although wifi runs rather smoothly and after a few days there was no permanent freeze,
I've noticed 5-10% ping losses even when AP is idle/low traffic (one debian wifi client with running ping in terminal window). There was no such ping losses with AA.

comment:18 Changed 3 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

CC r44915
Although wifi runs rather smoothly and after a few days there was no permanent freeze,
I've noticed 5-10% ping losses even when AP is idle/low traffic (one debian wifi client with running ping in terminal window). There was no such ping losses with AA.

comment:19 Changed 3 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

since this is a different issue, please open up a new bug report for this with all the relevant details (router type, client chipset, configuration, etc.).

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.